{% extends 'basepartials/base.html' %}
{% load static %}
{% load form_tags %}
{% load currency %}
{% block title %}
{% endblock %}
{% block extra_style %}
<link rel="stylesheet" type="text/css" href="{% static 'css/step_wizard.css' %}">
{% endblock %}
{% block content %}
<div class="container container-full" style="padding-top: 30px">
    <div class="card" style="padding: 0;" id="panel-table-oportunidad-ventas">
        <div class="card-header">
            <h3 class="card-title">Código de Oportunidad: {{saleOpportunity.manual_code}}</h3>
        </div>
        <div class="card-body" style="margin: 0;">
            <div class="stepwizard">
                <div class="stepwizard-row setup-panel">
                    <div class="stepwizard-step">
                        <a href="#step-1" type="button" class="btn btn-primary btn-circle">1</a>
                        <p>Descripción</p>
                    </div>
                    <div class="stepwizard-step">
                        <a href="#step-2" type="button" class="btn btn-default btn-circle" disabled="disabled">2</a>
                        <p>Documentos</p>
                    </div>
                    <div class="stepwizard-step">
                        <a href="#step-3" type="button" class="btn btn-default btn-circle" disabled="disabled">3</a>
                        <p>Actividades</p>
                    </div>
                </div>
            </div>
            <form class="container-fluid">
                <div class="row setup-content" id="step-1">
                    <div class="row fullWidth">
                        <div class="col-sm-6">
                            <strong class="mb-2 mr-sm-2">Cliente : </strong>
                            <span class="mb-2 mr-sm-2">{{saleOpportunity.client}}</span>
                        </div>
                        <div class="col-sm-6">
                            <strong class="mb-2 mr-sm-2">Estado de la Oportunidad : </strong>
                            <span class="mb-2 mr-sm-2">{{saleOpportunity.phase}}</span>
                        </div>

                    </div>
                    <div class="row fullWidth mt-4">
                        <div class="col-sm-6">
                            <strong class="mb-2 mr-sm-2">Producto : </strong>
                            <span class="mb-2 mr-sm-2">{{ saleOpportunity.subproduct.product }}</span>
                        </div>
                        <div class="col-sm-6">
                            <strong class="mb-2 mr-sm-2">Subproducto : </strong>
                            <span class="mb-2 mr-sm-2">{{ saleOpportunity.subproduct }}</span>
                        </div>
                    </div>
                    <div class="row fullWidth mt-4">
                        <div class="col-sm-6">
                            <strong class="mb-2 mr-sm-2">Nro Cuotas de Facturación: </strong>
                            <span class="mb-2 mr-sm-2">{{ saleOpportunity.installments|default_if_none:''}}</span>
                        </div>
                        <div class="col-sm-6">
                            <strong class="mb-2 mr-sm-2">Intervalo en meses : </strong>
                            <span class="mb-2 mr-sm-2">{{ saleOpportunity.installment_period|default_if_none:''}}</span>
                        </div>
                    </div>
                    <div class="row fullWidth mt-4">
                        <div class="col-sm-6">
                            <strong class="mb-2 mr-sm-2">Cantidad: </strong>
                            <span class="mb-2 mr-sm-2">{{ saleOpportunity.quantity|default_if_none:'' }}</span>
                        </div>
                        <div class="col-sm-6">
                            <strong class="mb-2 mr-sm-2">Unidad de medida : </strong>
                            <span class="mb-2 mr-sm-2">{{ saleOpportunity.unit_length|default_if_none:'' }}</span>
                        </div>
                    </div>
                    <div class="row fullWidth mt-4">
                        <div class="col-sm-4">
                            <strong class="mb-2 mr-sm-2">Prioridad : </strong>
                            <span class="mb-2 mr-sm-2">{{saleOpportunity.priority}}</span>
                        </div>
                        <div class="col-sm-4">
                            <strong class="mb-2 mr-sm-2">Ingreso Estimado Inicial : </strong>
                            <span class="mb-2 mr-sm-2">{{ saleOpportunity.revenue|currency }}</span>
                        </div>
                        <div class="col-sm-4">
                            <strong class="mb-2 mr-sm-2">Ingreso Real : </strong>
                            {% if saleOpportunity.real_revenue %}
                            <span class="mb-2 mr-sm-2">{{ saleOpportunity.real_revenue|currency }}</span>
                            {% endif%}
                        </div>
                    </div>
                    <div class="row fullWidth mt-4">
                        <div class="col-sm-4">
                            <strong class="mb-2 mr-sm-2">Medio de Contacto : </strong>
                            <span class="mb-2 mr-sm-2">{{saleOpportunity.contact_way}}</span>
                        </div>
                        <div class="col-sm-4">
                            <strong class="mb-2 mr-sm-2">Empresa : </strong>
                            <span class="mb-2 mr-sm-2">{{saleOpportunity.company}}</span>
                        </div>
                        <div class="col-sm-4">
                            <strong class="mb-2 mr-sm-2">Descripción : </strong>
                            <span class="mb-2 mr-sm-2">{{ saleOpportunity.description }}</span>
                        </div>
                    </div>
                </div>

                <div class="row setup-content" id="step-2">
                    <div class="row fullWidth">
                        <div class="col-sm-12">
                            {% if attached_files %}
                            <ul>
                            {% for file in attached_files %}
                                <li><strong>{{ file.type }}</strong> {{ file.filename }} {{ file.description }} <a href="{{ file.file_doc.url }}" target="_blank" class="text-info"><i class="fa fa-download"></i></a></li>
                            {% endfor %}
                            </ul>
                            {% else %}
                            <span>No hay documentos.</span>
                            {% endif %}
                        </div>
                    </div>
                </div>

                <div class="row setup-content" id="step-3">
                    <div class="row fullWidth">
                        <div class="col-sm-12">
                            <h4>Actividades realizadas</h4>
                        </div>
                    </div>
                    <div class="row fullWidth">
                        <div class="col-sm-12">
                            {% if activities_performed %}
                            <ul>
                            {% for activity in activities_performed %}
                                <li>{{ activity.type }} - {{ activity.result }}: {{ activity.description }} ({{ activity.start_date|date:"d/m/Y" }})</li>
                            {% endfor %}
                            </ul>
                            {% else %}
                            <span>No hay actividades realizadas.</span>
                            {% endif %}
                        </div>
                    </div>

                    <hr class="fullWidth">

                    <div class="row fullWidth">
                        <div class="col-sm-12">
                            <h4>Actividades pendientes</h4>
                        </div>
                    </div>
                    <div class="row fullWidth">
                        <div class="col-sm-12">
                            {% if pending_activities %}
                            <ul>
                            {% for activity in pending_activities %}
                                <li>{{ activity.type }} - {{ activity.result }}: {{ activity.description }} ({{ activity.start_date|date:"d/m/Y" }})</li>
                            {% endfor %}
                            </ul>
                            {% else %}
                            <span>No hay actividades pendientes.</span>
                            {% endif %}
                        </div>
                    </div>

                    <hr class="fullWidth">

                    <div class="row fullWidth">
                        <div class="col-sm-12">
                            <h4>Actividades canceladas</h4>
                        </div>
                    </div>
                    <div class="row fullWidth">
                        <div class="col-sm-12">
                            {% if canceled_activities %}
                            <ul>
                            {% for activity in canceled_activities %}
                                <li>{{ activity.type }} - {{ activity.result }}: {{ activity.description }} ({{ activity.start_date|date:"d/m/Y" }})</li>
                            {% endfor %}
                            </ul>
                            {% else %}
                            <span>No hay actividades canceladas.</span>
                            {% endif %}
                        </div>
                    </div>
                </div>
            </form>
            <div class="row mt-4 fullWidth">
                <div class="col-sm-12 text-center">
                    <button class="btn btn-danger" onclick="window.history.back();">Regresar</button>
                </div>
            </div>
        </div>
    </div>
</div>
{% endblock %}

{% block bottom_scripts %}
<script src="{% static 'js/step_wizard.js' %}"></script>
{% endblock %}